You are not logged in.

#1 2013-04-26 03:22:21

DocAwesome
Member
Registered: 2013-04-26
Posts: 4

I broke pacman...

Whenever I try to install a package I get an error similar to this one:

sudo pacman -S libmtp
[sudo] password for dylan: 
error: GPGME error: No data
error: GPGME error: No data
error: GPGME error: No data
error: database 'core' is not valid (invalid or corrupted database (PGP signature))
error: database 'extra' is not valid (invalid or corrupted database (PGP signature))
error: database 'community' is not valid (invalid or corrupted database (PGP signature))

When I try to run pacman -Syy I get this:

sudo pacman -Syy
error: GPGME error: No data
error: GPGME error: No data
error: GPGME error: No data
:: Synchronizing package databases...
 core                     105.4 KiB   300K/s 00:00 [######################] 100%
error: GPGME error: No data
error: failed to update core (invalid or corrupted database (PGP signature))
 extra                   1518.0 KiB   631K/s 00:02 [######################] 100%
error: GPGME error: No data
error: failed to update extra (invalid or corrupted database (PGP signature))
 community               1953.8 KiB   814K/s 00:02 [######################] 100%
error: GPGME error: No data
error: failed to update community (invalid or corrupted database (PGP signature))
 archlinuxfr                8.9 KiB  1484K/s 00:00 [######################] 100%
error: database 'core' is not valid (invalid or corrupted database (PGP signature))
error: database 'extra' is not valid (invalid or corrupted database (PGP signature))
error: database 'community' is not valid (invalid or corrupted database (PGP signature))

/etc/pacman.conf
http://pastebin.com/nafzKyqX

I'm not entirely sure what I did when this began, but I noticed it shortly after uninstalling libmtp, which I was planning on replacing with libmtp-zune. I'm a relatively new Arch user, but I've had a few years of experience with debian, so it may be something pretty simple that I'm overlooking.

Last edited by DocAwesome (2013-04-26 04:53:13)

Offline

#2 2013-04-26 03:59:55

hadrons123
Member
From: chennai
Registered: 2011-10-07
Posts: 1,249

Re: I broke pacman...

see this thread, there are lot of solutions for you
https://bbs.archlinux.org/viewtopic.php?pid=1115667


LENOVO Y 580 IVYBRIDGE 660M NVIDIA
Unix is user-friendly. It just isn't promiscuous about which users it's friendly with. - Steven King

Offline

#3 2013-04-26 04:18:23

DocAwesome
Member
Registered: 2013-04-26
Posts: 4

Re: I broke pacman...

Changing SigLevel to Never solved it. Thank you!

Offline

#4 2013-04-26 04:22:34

jasonwryan
Forum & Wiki Admin
From: .nz
Registered: 2009-05-09
Posts: 18,577
Website

Re: I broke pacman...

Um; that hasn't solved your problem, it can best be described as a workaround (and not a particularly good one)...


Arch + dwm   •   Mercurial repos  •   Github

Registered Linux User #482438

Offline

#5 2013-04-26 04:29:46

DocAwesome
Member
Registered: 2013-04-26
Posts: 4

Re: I broke pacman...

What would you suggest I do instead?

Offline

#6 2013-04-26 04:33:23

jasonwryan
Forum & Wiki Admin
From: .nz
Registered: 2009-05-09
Posts: 18,577
Website

Re: I broke pacman...


Arch + dwm   •   Mercurial repos  •   Github

Registered Linux User #482438

Offline

#7 2013-04-26 04:52:14

DocAwesome
Member
Registered: 2013-04-26
Posts: 4

Re: I broke pacman...

Setting each repo to PackageRequired produces the same error after running

pacman-key --init
pacman-key --populate archlinux
sudo pacman -Syy

The global SigLevel is also commented out now.

I'm going to unmark this as solved.

Last edited by DocAwesome (2013-04-26 04:52:49)

Offline

#8 2013-05-24 04:21:17

tertl3
Member
Registered: 2013-05-24
Posts: 1

Re: I broke pacman...

This is a shot in the dark, but is there any chance that you installed twice during installation?  I remember doing that accidently and I am getting this error too and cannot solve it. Gonna reinstall and go again.  if it still does it, I will either find a solution or try another distro.

Offline

Board footer

Powered by FluxBB